<?php

/**
 *
 * Forum Language. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017, Saeed Hubaishan, http:/salafitech.net
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace hubaishan\forumlanguage\event;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Event listener
 */
class main_listener implements EventSubscriberInterface {
	
	/** @var phpbb/user */
	protected $user;

	/**
	* Constructor
	*
	* @param \phpbb\user $user User object
	*/
	public function __construct(\phpbb\user $user)
	{
		$this->user = $user;
	}


	static public function getSubscribedEvents() {
		return array(
			'core.user_setup'	=> array('change_language', 1000),
			'core.acp_manage_forums_request_data'	=> 'acp_manage_forums_request_data',
			'core.acp_manage_forums_display_form'	=> 'acp_manage_forums_display_form',
		);
	}

	public function change_language($event)
	{
		global $request ,$db;
		$forum_id	= $request->variable('f', 0);
		$topic_id	= $request->variable('t', 0);
		$module_id	= $request->variable('i', '');
		
		
		if (empty($module_id))
		{
			if (!$forum_id && $topic_id)
			{
				$sql = 'SELECT forum_id
				FROM ' . TOPICS_TABLE . "
				WHERE topic_id = $topic_id";
					$result = $db->sql_query($sql);
					$forum_id = (int) $db->sql_fetchfield('forum_id');
					$db->sql_freeresult($result);
			}
		

			if ($forum_id>0)
			{
				$forum_lang	= '';
				
				$sql = "SELECT forum_language 
				FROM " . FORUMS_TABLE . "
				WHERE forum_id = $forum_id";
				$result = $db->sql_query($sql);
				$forum_lang = $db->sql_fetchfield('forum_language');
				$db->sql_freeresult($result);
				
				if (!empty($forum_lang))
				{
					$event['user_lang_name'] = $forum_lang;
					
				}
			}
		}
	}
	
	public function acp_manage_forums_request_data($event)
	{
		global $request;
		$forum_data = $event['forum_data'];
		$forum_data += array(
			'forum_language'			=> $request->variable('forum_language', ''),
		);
		$event['forum_data'] = $forum_data;
		
	}
	
	public function acp_manage_forums_display_form($event)
	{
		
		$this->user->add_lang_ext('hubaishan/forumlanguage', 'common');
		$template_data = $event['template_data'];
		$forum_data = $event['forum_data'];
		
		$lang_options = language_select($forum_data['forum_language']);
		$template_data += array(
			'S_LANG_OPTIONS'	=> $lang_options,
		);
		$event['template_data'] = $template_data;

	}
}
