<?php

/**
 *
 * Forum Language. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017, Saeed Hubaishan, http:/salafitech.net
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace hubaishan\forumlanguage\migrations;

class release_1_0_0_b1 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return $this->db_tools->sql_column_exists($this->table_prefix . 'forums', 'forum_language') 
			&& isset($this->config['forum_language_version']) && version_compare($this->config['forum_language_version'], '1.0.0-b1', '>=');
	}
	
	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v31x\v314');
	}
	
	public function update_schema()
	{
		return array(
			'add_columns'    => array(
				$this->table_prefix . 'forums' => array(
					'forum_language'          => array('VCHAR:30', ''),
				),
			),
		);
	}
	
	public function revert_schema()
	{
		return array(
			'drop_columns'    => array(
				$this->table_prefix . 'forums' => array(
					'forum_language',
				),
			),
		);
	}
	
	public function update_data()
	{
		return array(
			array('config.add', array('forum_language_version', '1.0.0-b1')),
		);
	}
	
	public function revert_data()
	{
		return array(
			array('config.remove', array('forum_language_version')),
		);
	}
	
}